html {
    box-sizing: border-box;
    font-size: 62.5%;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    font-family: 'Raleway', sans-serif;
    font-size: 1.6rem;
    line-height: 2;
}

img {
    max-width: 100%;
}

h1 {
    font-size: 4rem;
}

h2 {
    font-size: 3.2rem;
}

p {
    font-size: 2rem;
}

.container {
    max-width: 1200px;
    width: 95%;
    margin: 0 auto;
}

.entry-blog a {
    display: inline-block;
    background-color: #2196F3;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
}

/** Example Code - Layout Shifter - Flexbox **/
@media (min-width: 768px) {
    .layout-shifter {
        display: flex;
        flex-direction: column-reverse; /* Reverse the order of elements in a column layout */
    }

    .main-content {
        display: flex;
        justify-content: space-between; /* Distribute space between content items */
    }

    .entry-blog {
        flex: 0 0 calc(50% - 2rem); /* each entry-blog occupies 50% of available space minus 2rem (margins) without growing or shrinking */
    }
}

@media (min-width: 992px) {
    .layout-shifter {
        flex-direction: row; 
        justify-content: space-between; 
    }

    .main-content {
        flex: 0 0 calc(66.6% - 2rem); /* Occupies about 66.6% of available space minus 2rem (margins) without growing or shrinking */
        flex-wrap: wrap; /* Allow items to wrap onto multiple lines to avoid overlapping */
    }

    .sidebar {
        flex: 0 0 calc(33.3% - 2rem); /* Occupies about 33.3% of available space minus 2rem (margins) without growing or shrinking */
        order: 2; /* Adjust the order in which the sidebar appears (2nd position) */
    }

    .entry-blog {
        flex: 0 0 100%; /* The entry takes up 100% of available space, ensuring it spans the full width */
    }
}

/* 
    Flexbox Layout Explanation:
        The code uses Flexbox to arrange elements within the container.
        On screens with a width of at least 768px, the .layout-shifter element becomes a column layout (flex-direction: column-reverse). This reverses the order of its child elements.
        The .main-content section, which contains the main content, uses Flexbox with justify-content: space-between to distribute space evenly between its child items.

    Fractional Sizing and Flex Properties:
        .entry-blog is used to style individual blog entries. It occupies 50% of available space minus 2rem (margins) without growing or shrinking (flex: 0 0 calc(50% - 2rem)).
        On larger screens (min-width: 992px), .main-content occupies about 66.6% of the available space minus 2rem margins. It uses flex: 0 0 calc(66.6% - 2rem) for this.
        .sidebar takes up about 33.3% of available space minus 2rem margins. It's positioned second (order: 2) among flex items.
        .entry-blog takes up 100% of available space, ensuring it spans the full width.

    Responsive Behavior:
        By changing the flex-direction and adjusting the flex properties, the layout shifts based on screen size. This responsiveness is important to accommodate different devices and screen sizes effectively.

    Wrapping and Overlapping:
        On larger screens, .main-content allows its items to wrap onto multiple lines using flex-wrap: wrap. This prevents overlapping of elements and provides a more readable layout. */
